package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2019/10/2
 **/
public enum VipGroupActivityTypeEnum implements BaseEnum<String, VipGroupActivityTypeEnum> {

    BASE_ACTIVITY("BASE_ACTIVITY","基础活动"),
    DISCOUNT("DISCOUNT","折扣"),
    GIVE_CLASS("GIVE_CLASS","赠送课时");

    private String code;

    private String description;

    VipGroupActivityTypeEnum(String code, String description) {
        this.code = code;
        this.description = description;
    }

    @Override
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }


}
